Bug 1028016 - Very large sorts are inefficient
Very large sorts are inefficient
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity urgent
: ER4
: 6.0
Assigned To: Van Halbert
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 08:53 EST by Van Halbert
Modified: 2014-07-09 01:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Users are finding that large sorts are inefficient. When the memory space needed for a sort is estimated to be above 2 GB, the expression used will overflow. This causes the batch size to be used as the intermediate sort buffer size, which for any high row count will lead to many passes.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 15:57:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-2728 Major Closed Very large sorts are inefficient 2014-04-21 07:25:24 EDT

  None (edit)
Comment 1 belong 2013-12-09 19:51:21 EST
Assuming this will be set to VERIFIED before GA - setting requires_doc_text- accordingly.
Comment 2 wgibson 2014-02-11 08:28:30 EST
Unit test: TestEnginePerformance.java
Comment 3 JBoss JIRA Server 2014-04-21 07:25:31 EDT
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-2728 to Closed

Note You need to log in before you can comment on or make changes to this bug.